<?php
namespace Setka\Editor\Admin\Service;

class Screen
{
    /**
     * @var \WP_Screen|null
     */
    private $screen;

    /**
     * Screen constructor.
     *
     * @param \WP_Screen $screen
     */
    public function __construct(\WP_Screen $screen = null)
    {
        $this->screen = $screen;
    }

    /**
     * @return bool
     */
    public function isBlockEditor()
    {
        return is_object($this->screen) &&
               method_exists($this->screen, 'is_block_editor') &&
               $this->screen->is_block_editor();
    }

    /**
     * @return string
     */
    public function getBase()
    {
        return is_object($this->screen) ? $this->screen->base : '';
    }
}
