<?php
namespace Setka\Editor\Admin\Service;

class ScreenFactory
{
    /**
     * @return Screen
     */
    public static function create()
    {
        if (self::isHookSuffix()) {
            return new Screen(self::createWPScreen());
        }
        return new Screen();
    }

    /**
     * @return \WP_Screen
     */
    private static function createWPScreen()
    {
        require_once(ABSPATH . 'wp-admin/includes/class-wp-screen.php');

        if (function_exists('get_current_screen')) {
            $screen = get_current_screen();

            if (is_a($screen, \WP_Screen::class)) {
                return $screen;
            }
        }

        return \WP_Screen::get();
    }

    /**
     * @return bool
     */
    private static function isHookSuffix()
    {
        return isset($GLOBALS['hook_suffix']);
    }
}
