<?php
namespace Setka\Editor\Admin\Service\SetkaEditorAPI;

use Symfony\Component\HttpFoundation\ParameterBag;
use Symfony\Component\HttpFoundation\ResponseHeaderBag;

class Response
{
    /**
     * @var ParameterBag
     */
    private $content;

    /**
     * @var integer
     */
    private $statusCode;

    /**
     * @var ResponseHeaderBag
     */
    private $headers;

    /**
     * @param ParameterBag $content
     * @param int $statusCode The response status code
     * @param ResponseHeaderBag $headers Response headers
     */
    public function __construct(ParameterBag $content, int $statusCode, ResponseHeaderBag $headers)
    {
        $this->content    = $content;
        $this->statusCode = $statusCode;
        $this->headers    = $headers;
    }

    /**
     * @return ParameterBag
     */
    public function getContent(): ParameterBag
    {
        return $this->content;
    }

    /**
     * @return int
     */
    public function getStatusCode(): int
    {
        return $this->statusCode;
    }

    /**
     * @return bool
     */
    public function isOk(): bool
    {
        return \Symfony\Component\HttpFoundation\Response::HTTP_OK === $this->statusCode;
    }
}
