<?php
namespace Setka\Editor\Service\SystemReport;

interface SectionInterface
{
    /**
     * Builds value of section and store as class property.
     * @return mixed Value
     *
     * @throws \Exception
     */
    public function build();

    /**
     * @return string
     */
    public function getTitle();

    /**
     * @return mixed
     */
    public function getValue();

    /**
     * @return bool
     */
    public function isBuildable();

    /**
     * @return \Exception[]
     */
    public function getErrors();

    /**
     * @param \Exception $exception
     *
     * @return $this
     */
    public function addError(\Exception $exception);
}
